The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]

03.12.2018 22:41  Выпуск дистрибутивов CentOS 7.6 и Scientific Linux 7.6

Доступны новые выпуски дистрибутивов CentOS 7.6.1810 и Scientific Linux 7.6, вобравшие в себя изменения из Red Hat Enterprise Linux 7.6. Дистрибутивы полностью бинарно совместимы с RHEL 7.6, внесенные в пакеты изменения, как правило, сводятся к ребрендингу и замене художественного оформления.

Сборки CentOS 7.6 доступны для архитектур x86_64, Aarch64 (ARM64), i386, ppc64le, Power9 и ARMv7 (armhfp). Для архитектуры x86_64 подготовлены установочные DVD-сборки (4.5 Гб), образ NetInstall для установки по сети (530 Мб), минимальная серверная сборка (960 Мб), полный образ для USB Flash (10 Гб) и Live-сборки с GNOME (1.4 Гб) и KDE (1.9 Гб). Сборки для контейнеров, Vagrant, Cloud и Atomic Host планируется подготовить в течение нескольких дней. Пакеты SRPMS, на основе которых произведена сборка бинарных файлов, и debuginfo доступны через vault.centos.org.

Основные изменения в CentOS 7.6:

  • Обновлены до свежих версий пакеты samba, pki-core, gcc-libraries, elf-utils, GNOME shell, X11-server, ipset, firewalld, gnutls и libreswan;
  • В модуль Net::SMTP добавлена поддержка SSL;
  • В состав включен OpenJDK 11;
  • Реализована стабильная поддержка pNFS SCSI;
  • Обеспечена поддержка устройств с интерфейсом Thunderbolt 3;
  • Обновлены версии драйверов;
  • Объявлены устаревшими пакеты Python 2, lvm2app, 3DES as part of Python, signtool, sendmail, dmraid, Btrfs, некоторые режимы rsyslog;
  • Местоположение настроек ipset изменено с /etc/sysconfig/ipset на /etc/sysconfig/ipset.d/;
  • Изменено содержимое 37 пакетов, среди которых: yum, PackageKit, ntp, httpd, dhcp, firefox, glusterfs, grub2, anaconda.
  • Удалены специфичные для RHEL пакеты, такие как redhat-* и subscription-manager-migration-data;
  • В сборке для ARM uboot обновлён до версии 2018.09 и добавлен новый образ "RootFS".



Дистрибутив Scientific Linux 7.6 поставляется для архитектуры x86_64, в форме DVD-сборок (8.4 Гб и 7.2 Гб), сокращённого образа для установки по сети (450 Мб). Публикация Live-сборок задерживается. Формирование DVD-сборок размером 4.7 Гб прекращено, для записи образа на USB-накопитель предлагается использовать утилиту livecd-iso-to-disk. Специфичные для научного применения приложения, а также дополнительные драйверы, предлагаются для установки из внешних репозиториев, таких как EPEL и elrepo.org.

Основные особенности Scientific Linux 7.6:

  • Внесены исправления в X.Org-сервер;
  • В PackageKit добавлена начальная поддержка уведомлений о наличии промежуточных обновлений Scientific Linux (для использования данной возможности необходимо установить пакет sl7-upgrade и перезапустить packagekitd);
  • OpenAFS, открытая реализация распределенной ФС Andrew File System, обновлена до версии 1.6.23;
  • Добавлен пакет SL_gdm_no_user_list, отключающий отображение списка пользователей в GDM при необходимости соблюдения более строгой политики безопасности;
  • Добавлен пакет SL_enable_serialconsole для настройки консоли, работающей через последовательный порт;
  • Добавлен пакет SL_no_colorls, отключающий цветной вывод в ls;
  • Внесены изменения в пакеты, в основном связанные с ребрендингом: anaconda, dhcp, grub2, httpd, ipa, kernel, libreport, PackageKit, pesign, plymouth, redhat-rpm-config, shim, yum, cockpit;
  • По сравнению с веткой Scientific Linux 6.x из базового состава исключены пакеты alpine, SL_desktop_tweaks, SL_password_for_singleuser, yum-autoupdate, yum-conf-adobe, thunderbird (доступен в репозитории EPEL7).
  • Компоненты (shim, grub2, ядро Linux), используемые при загрузке в режиме UEFI Secure Boot, подписаны ключом Scientific Linux, что при включении верифицированной загрузки требует выполнения ручных операций, так как ключ необходимо добавить в прошивку;
  • Для автоматической установки обновлений задействована система yum-cron, вместо yum-autoupdate. По умолчанию обновления применяются автоматически с последующей отправкой уведомления пользователю. Для изменения поведения на этапе автоматизированной установки, подготовлены пакеты SL_yum-cron_no_automated_apply_updates (запрещает автоматическую установку обновлений) и SL_yum-cron_no_default_excludes (разрешает установку обновлений с ядром);
  • Файлы с конфигурацией внешних репозиториев (EPEL, ELRepo, SL-Extras, SL-SoftwareCollections, ZFSonLinux) перемещены в централизованное хранилище, так как данные репозитории не специфичны для конкретных выпусков и могут использоваться с любыми версиями Scientific Linux 7. Для загрузки данных о репозиториях следует выполнить "yum install yum-conf-repos", а затем настроить отдельные репозитории, например, "yum install yum-conf-epel yum-conf-zfsonlinux yum-conf-softwarecollections yum-conf-hc yum-conf-extras yum-conf-elrepo".



  1. Главная ссылка к новости (https://www.mail-archive.com/c...)
  2. OpenNews: Релиз Red Hat Enterprise Linux 7.6
  3. OpenNews: Доступен дистрибутив Oracle Linux 7.6
  4. OpenNews: Релиз дистрибутива Scientific Linux 7.5
  5. OpenNews: Выпуск дистрибутива CentOS 7.5
Лицензия: CC-BY
Тип: Программы
Ключевые слова: scientific, linux, centos
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Ajax/Линейный | Раскрыть все сообщения | RSS
 
  • 1.3, Онаним (?), 23:07, 03/12/2018 [ответить] [показать ветку] [···]    [к модератору]
  • –2 +/
    CentOS не просто "бинарно совместим" - он ещё и нацелен на (не полную) бинарную идентичность, что при определённых условиях важно.
     
     
  • 2.12, Аноним (12), 04:05, 04/12/2018 [^] [ответить]    [к модератору]
  • +/
    А вот совместимость с MATE из EPEL таки сломали (не поделили версию libgtop).
     
     
  • 3.16, fuhtel (?), 10:21, 04/12/2018 [^] [ответить]    [к модератору]
  • +/
    ковыляем в сторону CR репы и будет вам матье
     
  • 1.4, аноним3 (?), 23:22, 03/12/2018 [ответить] [показать ветку] [···]    [к модератору]
  • –5 +/
    а я все гадал как теперь будут серверные оси редхатоподобные)) о еще выходят))
     
     
  • 2.15, Аноим (?), 08:40, 04/12/2018 [^] [ответить]    [к модератору]
  • +1 +/
    А что с ними могло случиться?
     
     
  • 3.23, Анонимчжан (?), 13:54, 04/12/2018 [^] [ответить]    [к модератору]  
  • –2 +/
    ну учитывая ibm вскоре могут поприкрывать свободный доступ к исходникам. они останутся гпл, но доступ к ним по запросу и куче бумаг)) я тогда бы глянул и на центось и все ей подобные.))
     
  • 1.5, аноним11 (?), 00:43, 04/12/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Дожили, с nvidia 390 не заводится, ребята дропнули поддержку старых карт nvidia до того как это сделала nvidia
     
     
  • 2.6, хотел спросить (?), 01:01, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    попробуй kernel-plus
     
     
  • 3.8, аноним11 (?), 01:04, 04/12/2018 [^] [ответить]    [к модератору]  
  • –1 +/
    да я просто прошлое ядро загрузил, но это супер странно
     
  • 2.13, 0x0 (?), 06:16, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    Придётся покопать, в чём там заковыка... От себя могу только сказать, что с 14-ым кастомизированным ядром 390-я версия драйвера NV даже в Fedora 29 фурычит как обычно.
     
  • 2.14, 0x0 (?), 06:31, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    Можно, например, в GRUB_CMDLINE_LINUX= с nvidia-drm.modeset= попробовать поиграться...
     
  • 1.7, Аноним (7), 01:01, 04/12/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Подскажите, а есть ли какая то библиотека, позволяющая менять параметры на сетевом интерфейсе, используя Python?

    Редактирование текстового файла это понятно, но не совсем то чего хотелось бы

     
     
  • 2.10, AS (??), 01:25, 04/12/2018 [^] [ответить]    [к модератору]  
  • +1 +/
    nmcli можно дергать Питоном
     
     
  • 3.22, Аноним (7), 13:08, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    Самое то, спасибо всем кто дал ответ
     
  • 2.20, кентосец (?), 12:55, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    зочем текстовый файл дёргать? nmtui.
     
     
  • 3.24, AS (??), 15:00, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    ему не интерактивно - а так  примерно нужно -

    https://pypi.org/project/python-nmcli/

    >>> import nmcli
    >>> dir(nmcli)

    ['__builtins__', '__doc__', '__file__', '__name__', '__package__', '__path__', 'con', 'dev', 'nm', 'nmcli', 'shell']
    >>> nmcli.nm.status()

    [{'WIFI': 'enabled', 'STATE': 'connected', 'WWAN': 'enabled', 'WWAN-HARDWARE': 'enabled', 'RUNNING': 'running', 'WIFI-HARDWARE': 'enabled'}]
    >>> nmcli.nm.enable(True)

    []
    >>> nmcli.con.list()

    [{'TIMESTAMP-REAL': 'never', 'TYPE': 'vpn', 'NAME': 'starbuckswifi', 'UUID': 'a8a95280-f938-46b9-a58a-d71d71c6d37e'}, {'TIMESTAMP-REAL': 'never', 'TYPE': 'vpn', 'NAME': 'marriot', 'UUID': '56e66de7-7902-42b4-bf6d-2a4a36d051d1'....
    >>> nmcli.con.list(id="marriot")

    [{'dhcp-send-hostname': 'yes....

     
  • 1.9, аноним11 (?), 01:11, 04/12/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • +1 +/
    аплет погоды отпал, видимо с концами
     
  • 1.11, Аноним (11), 03:44, 04/12/2018 [ответить] [показать ветку] [···]     [к модератору]  
  • +2 +/
    Расказ о том как GitLab фиксил 2 недели NFS баг в ядре линукса https about git... весь текст скрыт [показать]
     
     
  • 2.17, Аноним (17), 11:16, 04/12/2018 [^] [ответить]    [к модератору]  
  • –2 +/
    >NFS
    >2018
     
     
  • 3.18, kerneliq (ok), 11:37, 04/12/2018 [^] [ответить]    [к модератору]  
  • +2 +/
    А что сейчас используют вместо NFS?
     
     
  • 4.25, Аноним (25), 15:00, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    Need for Speed
     
  • 3.19, Gemorroj (ok), 11:40, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    а что на замену?
     
     
  • 4.21, ГвидоБейзик (?), 13:06, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    glusterfs, ceph, rdb, minio s3
     
     
  • 5.27, sakra (ok), 19:03, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    Наверное rbd
     
  • 3.28, Aleksey (??), 20:24, 04/12/2018 [^] [ответить]    [к модератору]  
  • +/
    Надо уметь его готовить ;)
     
  • 1.29, Аноним (29), 12:21, 05/12/2018 [ответить] [показать ветку] [···]     [к модератору]  
  • +2 +/
    Ахтунг зарейзили версии dovecot-2 2 36-3 el7 x86_64 было 2 2 10 samba-4 8 3 В... весь текст скрыт [показать]
     
     
  • 2.30, Аноним (30), 12:45, 05/12/2018 [^] [ответить]    [к модератору]  
  • +1 +/
    За шары на smb 1 руки отрывать надо. Те, кто использует актуальные версии, даже ничего не заметили.
     
     
  • 3.31, Аноним (29), 12:53, 05/12/2018 [^] [ответить]    [к модератору]  
  • +/
    старые видеорегистраторы. старый софт на winxp и winserver2003. Бекап вот этого всего требует старых протоколов.
     
     
  • 4.32, пох (?), 12:58, 05/12/2018 [^] [ответить]    [к модератору]  
  • +/
    > старые видеорегистраторы. старый софт на winxp и winserver2003. Бекап вот этого всего
    > требует старых протоколов.

    ну так их вам оставили, но требуют разрешать явным образом.

    зато все остальные, немного уже ушедшие от 2003го года (с выпуска 2008 уже 10 лет прошло, с разморозочкой) не получают по невнимательности smb1.

     
     
  • 5.33, Аноним (29), 13:08, 05/12/2018 [^] [ответить]    [к модератору]  
  • +1 +/
    вы понимаете, что такое энтерпрайз. когда обновление в продакшене не требует судорожного изучения, почему все сломалось. до 6 рхела включительно все было энтерпрайзно. заплатил и Работает.
     
     
  • 6.35, пох (?), 15:09, 05/12/2018 [^] [ответить]    [к модератору]  
  • +1 +/
    > вы понимаете, что такое энтерпрайз. когда обновление в продакшене не требует судорожного
    > изучения, почему все сломалось.

    в нашем энтерпайзе не принято обновляться, не читая документацию и не тестируя на кошечках. Поэтому если какая-то stone-age помойка с аж smb1 отвалится - мы ее заново приколошматим, и повесим флажок - гнилое, под замену в ближайший фин-интервал, или оградить дополнительно.

    > до 6 рхела включительно все было энтерпрайзно.

    да так же все было - глобально ничего не ломалось, но отдельные мелочи между версиями вполне могли поменяться.

    > заплатил и Работает.

    дык, платишь за расширенную техподдержку - они тебе сами апдейтят и сами все эти грабли разгребают, ентер-прайс.

    А не нравится - сиди на фиксированной .version, так тоже можно и в некоторых случаях ничего другого и не нужно.

     
  • 5.34, Аноним (29), 13:12, 05/12/2018 [^] [ответить]     [к модератору]  
  • +/
    Выбирали рхел, чтобы шапки ядра были совместимы для сборки своего софта на протя... весь текст скрыт [показать]
     
  • 1.36, metakeks (?), 00:41, 06/12/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • +1 +/
    Капец днище подвезли. Начал ставить, а там ни одного селинукс профиля доступного для применения. Или вырубай или сос... сос... собраться обратно на 7.5. Ещё не проверял, не выпилен ли селинукс на виртуалке после апгрейда 7.5 на 7.6
     
     
  • 2.37, 0x0 (?), 19:36, 06/12/2018 [^] [ответить]    [к модератору]  
  • +/
    Кстати, есть вероятность, что это, возможно проясняет написанную выше проблему с драйверами NVidia. При обновлении на Fedora 28, кажется, была какое-то время проблема с блокировкой SELinux загрузки nvidia.ko
     
  • 2.38, 0x0 (?), 19:41, 06/12/2018 [^] [ответить]    [к модератору]  
  • +/
    Правда, если у чувака со старым ядром всё загрузилось, то проблема, скорее всего, в чём-то другом :)
     
  • 2.40, аноним11 (?), 00:11, 07/12/2018 [^] [ответить]    [к модератору]  
  • +/
    вот он человек умеющий пользоваться селинукс, на 7.5 он мне жить не давал, пока я его не выпилил.
     
  • 1.39, 0x0 (?), 19:47, 06/12/2018 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Может новое ядро просто не знает о существовании необходимых модулей? :)
     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2018 by Maxim Chirkov  
    ДобавитьПоддержатьВебмастеруГИД  
    Hosting by Ihor